import React, { useMemo } from 'react';
import DetailPro from '@/components/DetailPro';
import getcolumns from './columns';

const Basemsg = ({ drawer, activeKey }) => {
    const columns = useMemo(() => {
        let defcolumn = [];
        if (activeKey == 'item-1') {
            defcolumn = getcolumns(setdrawer, activeKey)?.columns ?? [];
        } else {
            doFetch({ url: '/base/paFormField/queryList', params: { formId: '2' } }).then(res => {
                if (res.code == '0000') {
                    let column = [];
                    res?.data?.dataList?.forEach?.((el) => {
                        column.push({
                            ...selectValueType(el.fieldChar, el.valueList),
                            title: el.fieldName,
                            dataIndex: el.id,
                            key: el.id,
                        });
                    });
                    defcolumn = [...(getcolumns(setdrawer, activeKey)?.columns ?? []), ...column];
                }
            })
        }
        return defcolumn;
    }, [activeKey]);

    const detailData = useMemo(() => {
        let data = {};
        if (activeKey == 'item-1') {
            doFetch({ url: '/asset/equipment/detail', params: { id: row.id } }).then(res => {
                if (res.code == '0000') {
                    data = res?.data?.data ?? {};
                }
            })
        } else {

            doFetch({ url: '/asset/equipment/detail', params: { id: row.id } }).then(res => {
                if (res.code == '0000') {
                    let obj = {};
                    res?.data?.data['equipmentCharList']?.forEach?.((it) => {
                        obj[it?.fieldId] = it?.fieldRealValue;
                    });
                    data = { ...(res?.data?.data ?? {}), ...obj };
                }
            })

        }
        return data;
    }, [activeKey]);
    return <DetailPro
        fields={columns}
        detailpath="/"
        params={{ id: drawer?.item?.id }}
    />
}
export default Basemsg;